Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Kennwortfeld

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente
                  sum.komponenten.Textfeld
                      sum.komponenten.Kennwortfeld

All Implemented Interfaces:
  Serializable

    public class Kennwortfeld

extends Textfeld
implements Serializable

Ein Kennwortfeld ist eine Unterklasse vom Textfeld. Eingaben im Kennwortfeld werden durch sogenannte Echozeichen dargestellt. Wenn etwas in ein Kennwortfeld getippt werden soll, muss es vorher mit einem Mausklick aktiviert werden, d.h. das Kennwortfeld muss den Fokus haben.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`protected JPasswordField` | `hatPasswordField`
`protected String` | `zEingabeBestaetigtBearbeiter`

Fields inherited from class sum.komponenten.Textfeld
`hatTextField`

Fields inherited from class sum.komponenten.Markierungskomponente
`zInhaltGeaendertBearbeiter, zMarkierungGeaendertBearbeiter`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Kennwortfeld(double pLinks, double pOben, double pBreite, double pHoehe, char pEchozeichen)` Das Kennwortfeld wird erzeugt und enthaelt den uebergebenen Text.
`Kennwortfeld(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, char pEchozeichen)` Das Kennwortfeld wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`protected void` | `bekommtFokus()` Das Kennwortfeld erhaelt den Fokus.
`protected void` | `eingabeBestaetigt()` Das Kennwortfeld reagiert auf die Eingabebestaetigung (Enter).
`protected void` | `inhaltGeaendert()` Das Kennwortfeld reagiert auf Veraenderungen.
`char` | `kennwortzeichen()` Das Echozeichen wird zurueckgegeben.
`char` | `kennwortZeichen()` Das Echozeichen wird zurueckgegeben.
`protected void` | `markierungGeaendert()` Das Kennwortfeld reagiert auf Veraenderungen der Markierung.
`void` | `setzeBearbeiterEingabeBestaetigt(String pBearbeiter)` Die Methode zur Bearbeitung des EingabeBestaetigt-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeKennwortzeichen(char pZeichen)` Das Echozeichen wird festgelegt.
`void` | `setzeKennwortZeichen(char pZeichen)` Das Echozeichen wird festgelegt.
`protected void` | `verliertFokus()` Das Kennwortfeld verliert den Fokus.

Methods inherited from class sum.komponenten.Textfeld
`fuegeEin, haengeAn, haengeAn, haengeAn, haengeAn, inhaltAlsText, istMarkiert, loesche, loescheAlles, loescheMarkierung, markiereAlles, markiereNichts, markierterInhalt, markierungsAnfang, markierungsEnde, setzeAusrichtung, setzeInhalt, setzeMarkierung, teilinhalt`

Methods inherited from class sum.komponenten.Markierungskomponente
`setzeBearbeiterInhaltGeaendert, setzeBearbeiterMarkierungGeaendert, teilInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatPasswordField

    protected JPasswordField hatPasswordField

### zEingabeBestaetigtBearbeiter

    protected String zEingabeBestaetigtBearbeiter

Constructor Detail

### Kennwortfeld

    public Kennwortfeld(double pLinks,
                        double pOben,
                        double pBreite,
                        double pHoehe,
                        char pEchozeichen)

  Das Kennwortfeld wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Das Kennwortfeld befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pEchozeichen` - das Zeichen, das an Stelle des eingegebenen Textes dargestellt wird

### Kennwortfeld

    public Kennwortfeld(Fenster pFenster,
                        double pLinks,
                        double pOben,
                        double pBreite,
                        double pHoehe,
                        char pEchozeichen)

  Das Kennwortfeld wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Das Kennwortfeld befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pEchozeichen` - das Zeichen, das an Stelle des eingegebenen Textes dargestellt wird

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Das Kennwortfeld erhaelt den Fokus.

  Overrides:
    `bekommtFokus` in class `Textfeld`

### eingabeBestaetigt

    protected void eingabeBestaetigt()

  Das Kennwortfeld reagiert auf die Eingabebestaetigung (Enter).

  Overrides:
    `eingabeBestaetigt` in class `Textfeld`

### inhaltGeaendert

    protected void inhaltGeaendert()

  Das Kennwortfeld reagiert auf Veraenderungen.

  Overrides:
    `inhaltGeaendert` in class `Textfeld`

### kennwortzeichen

    public char kennwortzeichen()

  Das Echozeichen wird zurueckgegeben.

  Returns:
    das aktuelle Echozeichen

### kennwortZeichen

    public char kennwortZeichen()

  Das Echozeichen wird zurueckgegeben.

  Returns:
    das aktuelle Echozeichen

### markierungGeaendert

    protected void markierungGeaendert()

  Das Kennwortfeld reagiert auf Veraenderungen der Markierung.

  Overrides:
    `markierungGeaendert` in class `Textfeld`

### setzeBearbeiterEingabeBestaetigt

    public void setzeBearbeiterEingabeBestaetigt(String pBearbeiter)

  Die Methode zur Bearbeitung des EingabeBestaetigt-Ereignisses in der Ereignisanwendung wird festgelegt.

  Overrides:
    `setzeBearbeiterEingabeBestaetigt` in class `Textfeld`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn in der Komponente Enter gedrueckt wurde.

### setzeKennwortzeichen

    public void setzeKennwortzeichen(char pZeichen)

  Das Echozeichen wird festgelegt.

  Parameters:
    `pZeichen` - das neue Echozeichen

### setzeKennwortZeichen

    public void setzeKennwortZeichen(char pZeichen)

  Das Echozeichen wird festgelegt.

  Parameters:
    `pZeichen` - das neue Echozeichen

### verliertFokus

    protected void verliertFokus()

  Das Kennwortfeld verliert den Fokus.

  Overrides:
    `verliertFokus` in class `Textfeld`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD